﻿@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');

* {
    margin: 0;
    padding: 0;
}

body {
    background: #e1e1e1;
    font-family: inter;

}

.header {}

.header-container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 25px 15px;

}

.logo {
    
}

.nav {

}

.nav-list {
    display: flex;
    gap: 60px;
    list-style: none;
    font-size: 23px;
}

.nav-item {

}

.nav-link {
    text-decoration: none;
    color: #6b6b6b;
}

.intro-img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.intro {

}

.intro-container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    gap: 25px;
    padding-left: 15px;
    padding-right: 15px;
}

.intro-right {
    display: flex;
    flex-direction: column;
    gap: 25px;
    align-items: flex-start;
}

.intro-left {
    flex-shrink: 0;
}

.intro-left::before {
    content: "Air \A Pods \A Max";
    white-space: pre;
    position: absolute;
    font-size: 250px;
    color: #393939;
    font-weight: 900;
    line-height: 200px;
    z-index: -1;
    left: 0;
    background: linear-gradient(0deg, #6b6b6b00, #6b6b6b20, #6b6b6b51, #6b6b6b00);
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

.intro-heading {
    font-size: 90px;
    font-weight: 900;
    color: #1f1d1d;
    line-height: 90px;
}

.intro-text {
    color: #504f4f;
    font-size: 20px;
    font-weight: 500;
    
}

.intro-btn {
    font-size: 24px;
    color: #6b6b6b;
    text-decoration: none;
    background: #d9d9d9;
    padding: 25px 58px;
    border-radius: 50px;
    display: inline-block;
    box-shadow: inset 0 4px 4px hsla(0, 0%, 0%, 0.163), 0 4px 4px;

}


.img_2 {
    position: fixed;
    right: 0;
    bottom: 0;
    z-index: -1;

}

.bbb {
    width: 40px;
    height: 30px;
    background: none;
    border: none;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    z-index: 20;
}

.bbb span {
    height: 4px;
    width: 100%;
    background: #393939;
    border-radius: 15px;

}

@media (max-width: 768px) {
    .img_2 {
        display: none;
    }

    .intro-container {
        flex-direction: column;

    }

    .nav {
        position: fixed;
        top: 0;
        left: 0;
        width: 50%;
        height: 100%;
        background: #d9d9d9;
        z-index: 10;
        padding: 150px 15px;
        transform: translateX(-100%);
        transition: all 0.3s ease 0s;
    }

    .nav.clicked {
        transform: translateX(0);
    }

    .nav-list {
        flex-direction: column;
    }

    .intro-left::before {
        display: none;

    }

    .bbb {
        display: flex;
    }
}